codecov:
    bot: "codecov-io"
    require_ci_to_pass: false

coverage:
  status:
    project:
      back-end:
        # Project must always have at least 78% coverage (by line)
        target: 85%
        # Whole-project test coverage is allowed to drop up to 5%. (For situtations where we delete code with full coverage)
        threshold: 5%
        flags:
          - back-end

      front-end:
        target: 50%
        threshold: 5%
        flags:
          - front-end

    patch: off

flags:
  back-end:
    paths:
      - enterprise/backend
      - shared/src
      - src/metabase
    carryforward: true

  front-end:
    paths:
      - enterprise/frontend/src
      - frontend/src
    carryforward: true
